require 'yaml'

module SimpleSshBackup
  class Config

    attr_reader :backup_dir, :targets

    def initialize
      @targets = nil
      @backup_dir = nil
    end

    def load(config_file)
      raise ArgumentError, 'Config file does not exist' unless File.exists?(config_file)
      raise ArgumentError, 'Config not readable' unless File.readable?(config_file)

      file_contents = File.read(config_file)
      props = YAML.load(file_contents)

      @backup_dir = props['backup_dir']
      @targets = props['targets']
    end

  end
end